
QGIS Application - Feature request #3756

Flexible positioning of scalebar/compass

2011-04-17 08:10 PM - whatnick -

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category:

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 13815

Description

I usually save my maps from the view as image (rather than using print composer). I would be really useful to have an advanced

scalebar/compass placement option, as a percentage of the mapview window for tweaking where they show up.

Related issues:

Related to QGIS Application - Feature request # 4273: North arrow in lower/up... Closed 2011-09-08

History

#1 - 2011-04-23 06:34 AM - Mayeul Kauffmann

As the print composer allows to place the scalebar wherever you want, having two ways to do it is an enhancement.

#2 - 2011-12-16 12:45 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-15 10:11 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:35 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2014-03-26 11:36 AM - Alexander Bruy

- Operating System deleted (Debian)

- Pull Request or Patch supplied set to No

- Status info deleted (0)

- Category deleted (C++ Plugins)

#6 - 2016-01-09 06:47 PM - Duncan Runnacles

I've finished this and it has been merged into master.

Decorations can now be placed at user defined margins from the corners. I.e. anywhere on the canvas.

#7 - 2016-01-09 07:48 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed
